> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getBusinessUserDetails

> 
The `getBusinessUserDetails` API is used to retrieve comprehensive information about a specific business user within the system.

### What it does:

- Returns detailed information for the business user including their role, address, SSN and more
- Allows business users to view their stored data before making changes using other API calls

### Note:

- Use `getBusinessUserDetails` if you do not have access to the business user ID or wish to retrieve data for all business users



## OpenAPI

````yaml get /reports/getBusinessUserDetails
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getBusinessUserDetails:
    get:
      tags: []
      summary: getBusinessUserDetails
      description: >-

        The `getBusinessUserDetails` API is used to retrieve comprehensive
        information about a specific business user within the system.


        ### What it does:


        - Returns detailed information for the business user including their
        role, address, SSN and more

        - Allows business users to view their stored data before making changes
        using other API calls


        ### Note:


        - Use `getBusinessUserDetails` if you do not have access to the business
        user ID or wish to retrieve data for all business users
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getBusinessUserDetails
                businessUserId:
                  type: string
              required:
                - method
                - businessUserId
            example:
              method: getBusinessUserDetails
              businessUserId: D8934854-20F7-4607-8007-A4B78254007F
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  businessUser:
                    type: array
                    items:
                      type: object
                      properties:
                        businessUserId:
                          type: string
                        businessUser:
                          type: string
                        firstName:
                          type: string
                        middleName:
                          type: string
                        lastName:
                          type: string
                        email:
                          type: string
                        phoneNumber:
                          type: string
                        payrollAdmin:
                          type: boolean
                        bookKeeper:
                          type: boolean
                        beneficialOwner:
                          type: boolean
                        employee:
                          type: boolean
                        ownershipPercentage:
                          type: integer
                        companyLocationID:
                          type: string
                        address1:
                          type: string
                        address2:
                          type: string
                        city:
                          type: string
                        state:
                          type: string
                        zipcode:
                          type: string
                        country:
                          type: string
                        ssn:
                          type: string
                        startDate:
                          type: string
                        dateOfBirth:
                          type: string
                required:
                  - businessUser
              example:
                businessUser:
                  - businessUserId: D8934854-20F7-4607-8007-A4B78254007F
                    businessUser: Regina  Wise
                    firstName: Regina
                    middleName: ''
                    lastName: Wise
                    email: wise021@mailsac.com
                    phoneNumber: '2511630007'
                    payrollAdmin: true
                    bookKeeper: true
                    beneficialOwner: false
                    employee: true
                    ownershipPercentage: 0
                    companyLocationID: 889F5A0D-CBC5-4495-A09B-D98B63490C1C
                    address1: 102 Fallsgrove Blvd
                    address2: ''
                    city: Rockville
                    state: MD
                    zipcode: '20850'
                    country: US
                    ssn: '587400936'
                    startDate: '2020-09-09'
                    dateOfBirth: '2006-09-09'
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````